# -*- mode: ruby -*-
# vi: set ft=ruby :
#
# The absolute path to the root directory of the project.
ENV['DRUPALVM_PROJECT_ROOT'] = "#{__dir__}"

# The relative path from the project root to the VM config directory.
ENV['DRUPALVM_CONFIG_DIR'] = "provisioning/box"

# The relative path from the project root to the Drupal VM directory.
ENV['DRUPALVM_DIR'] = "box"

# Pre-configure the IP range if auto-network is available:
if Vagrant.has_plugin?('vagrant-auto_network')
  AutoNetwork.default_pool = '192.168.42.0/24'
end

# Load the real Vagrantfile
load "#{__dir__}/#{ENV['DRUPALVM_DIR']}/Vagrantfile"
